%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          coro-mock
Version:       1.0
Release:       %mkrel 1
Summary:       A small mock library for compiling JVM coroutine-utilizing code on JVMs without coroutines
Group:         Development/Java
License:       Public Domain
Url:           https://github.com/headius/coro-mock
# git clone git://github.com/headius/coro-mock.git
# tar czf coro-mock-1.0-SNAPSHOT-src-svn.tar.gz coro-mock
Source0:       coro-mock-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit

BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin

BuildRequires:  forge-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A small mock library for compiling JVM coroutine-utilizing code on JVMs without coroutines.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n coro-mock

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Feb 25 2012 gil <gil> 1.0-1.mga2
+ Revision: 214942
- imported package coro-mock

